> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pushcash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a transaction

> Retrieves a specific transaction by its ID.



## OpenAPI

````yaml /openapi.yaml get /transaction/{id}
openapi: 3.0.1
info:
  title: Push API
  version: 0.0.1
servers:
  - url: https://api.pushcash.com
    description: Production API
  - url: https://sandbox.pushcash.com
    description: Sandbox API used for developing an integration with Push
security:
  - bearer: []
tags:
  - name: user
  - name: tokenization
  - name: authorization
  - name: intent
  - name: dispute
  - name: refund
  - name: accounts
  - name: transactions
  - name: transfer
paths:
  /transaction/{id}:
    get:
      tags:
        - transactions
      summary: Get a transaction
      description: Retrieves a specific transaction by its ID.
      operationId: getTransaction
      parameters:
        - in: path
          name: id
          description: The ID of the transaction to retrieve.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Transaction'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    Transaction:
      type: object
      example:
        id: txn_CpiSd1bptYB5P55ysTDHg
        amount: 11000
        direction: credit
        currency: USD
        created_at: '2023-05-24T20:15:18.158Z'
        date: '2023-05-24'
        batch: '39408'
        account_id: account_WsELzpJOvU6fNafvzWbF6K
        type: intent
        source_id: intent_sandbox_dMggQ93ZYH6DH9LBhVeijE
      properties:
        id:
          type: string
          description: The unique identifier assigned by Push
        amount:
          type: integer
          description: Amount of the transaction (signed)
        direction:
          type: string
          description: >-
            The direction of the transaction, as indicated by the sign of the
            amount
          enum:
            - credit
            - debit
        currency:
          $ref: '#/components/schemas/Currency'
        created_at:
          type: string
          format: date-time
          description: When the transaction was created (ISO 8061 date string)
        date:
          type: string
          format: date
          description: The settlement date of the transaction
        batch:
          type: string
          nullable: true
          description: The batch for the transaction
        account_id:
          type: string
          description: The account associated with the transaction
        type:
          $ref: '#/components/schemas/TransactionType'
        source_id:
          type: string
          nullable: true
          description: >-
            The ID of the intent, dispute, or transfer associated with the
            transaction. If the transaction is unreconciled, this field will be
            null
        status:
          $ref: '#/components/schemas/TransactionStatus'
      required:
        - id
        - amount
        - currency
        - created_at
        - date
        - batch
        - account_id
        - type
        - source_id
        - status
    error:
      description: Description of the error encountered from the API request
      type: object
    Currency:
      type: string
      description: Currency associated with the amount
      enum:
        - USD
    TransactionType:
      type: string
      description: The type of transaction
      enum:
        - intent
        - transfer
        - unreconciled
      x-enumDescriptions:
        intent: A transaction associated with an intent
        transfer: A transaction associated with a transfer
        unreconciled: >-
          Movement of funds not associated with any activity on the Push
          platform.
    TransactionStatus:
      type: string
      description: The transaction's settlement status
      enum:
        - settled
        - pending
      x-enumDescriptions:
        settled: The transaction is settled and funds are now available
        pending: The transaction is awaiting settlement
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````